harmony-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Gregory Shimansky <gshiman...@gmail.com>
Subject Re: [eclipse][em64t build] eclipse failed to start on em64t build
Date Fri, 19 Jan 2007 13:54:41 GMT
Vladimir Ivanov wrote:
> Currently the eclipse 3.1.1 failed to start on lnx_em64t_gcc_debug build
> with message:
> 
> drlvm/trunk/build/lnx_em64t_gcc_debug/deploy/jdk/jre/bin/java -cp
> /export/users/viv/eclipse3.1.1/startup.jar -Dosgi.install.area=eclipse3.1.1
> org.eclipse.core.launcher.Main -ws gtk os linux -arch x86_64 &
> vf_debug: verifying class org/eclipse/ui/plugin/AbstractUIPlugin (method
> createImageRegistry()Lorg/eclipse/jface/resource/ImageRegistry;) couldn't
> load class "org/eclipse/swt/SWTError"
> vf_debug: VerifyError: org/eclipse/swt/SWTError
> java:
> /export/users/viv/trunk/cc/projects/drlvm/trunk/vm/vmcore/src/jit/ini.cpp:37: 
> 
> void vm_execute_java_method_array(_jmethodID*, jvalue*, jvalue*): Assertion
> `!exn_raised()' failed.
> Fatal error
> 
> Could somebody take care about it?

It looks like the same error as in HARMONY-2975. The Java class loader 
of eclipse fails to load bundle which contains SWTError class. Why it 
happens and why only on x86_64 I don't know.

-- 
Gregory


Mime
View raw message